package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("email_template_info")
public class EmailTemplateInfoDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 模板名称
     */
    @TableId(value = "name")
    private String name;
    /**
     * 模版方向：1-行，2-列
     */
    @TableId(value = "direction")
    private Integer direction;
    /**
     * 模版备注
     */
    @TableId(value = "description")
    private String description;
    /**
     * 状态：0-关闭，1-开启
     */
    @TableId(value = "status")
    private Integer status;
    /**
     * 是否有效：0-无效，1-有效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 更新时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}
